## AgsAudioBufferUtil

AgsAudioBufferUtil — audio buffer util

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_AUDIO_BUFFER_S8()
#define | AGS_AUDIO_BUFFER_S16()
#define | AGS_AUDIO_BUFFER_S24()
#define | AGS_AUDIO_BUFFER_S32()
#define | AGS_AUDIO_BUFFER_S64()
#define | AGS_AUDIO_BUFFER_FLOAT()
#define | AGS_AUDIO_BUFFER_DOUBLE()
#define | AGS_AUDIO_BUFFER_COMPLEX()
#define | AGS_AUDIO_BUFFER_UTIL_S8_TO_COMPLEX()
#define | AGS_AUDIO_BUFFER_UTIL_S16_TO_COMPLEX()
#define | AGS_AUDIO_BUFFER_UTIL_S24_TO_COMPLEX()
#define | AGS_AUDIO_BUFFER_UTIL_S32_TO_COMPLEX()
#define | AGS_AUDIO_BUFFER_UTIL_S64_TO_COMPLEX()
#define | AGS_AUDIO_BUFFER_UTIL_FLOAT_TO_COMPLEX()
#define | AGS_AUDIO_BUFFER_UTIL_DOUBLE_TO_COMPLEX()
#define | AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S8()
#define | AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S16()
#define | AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S24()
#define | AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S32()
#define | AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S64()
#define | AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_FLOAT()
#define | AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_DOUBLE()
AgsAudioBufferUtil * | ags_audio_buffer_util_alloc ()
gpointer | ags_audio_buffer_util_copy ()
void | ags_audio_buffer_util_free ()
gpointer | ags_audio_buffer_util_get_destination ()
void | ags_audio_buffer_util_set_destination ()
AgsSoundcardFormat | ags_audio_buffer_util_get_destination_format ()
void | ags_audio_buffer_util_set_destination_format ()
guint | ags_audio_buffer_util_get_destination_stride ()
void | ags_audio_buffer_util_set_destination_stride ()
gpointer | ags_audio_buffer_util_get_source ()
void | ags_audio_buffer_util_set_source ()
AgsSoundcardFormat | ags_audio_buffer_util_get_source_format ()
void | ags_audio_buffer_util_set_source_format ()
guint | ags_audio_buffer_util_get_source_stride ()
void | ags_audio_buffer_util_set_source_stride ()
AgsAudioBufferUtilCopyMode | ags_audio_buffer_util_get_copy_mode ()
void | ags_audio_buffer_util_set_copy_mode ()
guint | ags_audio_buffer_util_get_buffer_length ()
void | ags_audio_buffer_util_set_buffer_length ()
AgsAudioBufferUtilFormat | ags_audio_buffer_util_format_from_soundcard ()
AgsAudioBufferUtilCopyMode | ags_audio_buffer_util_get_copy_mode_from_format ()
void | ags_audio_buffer_util_clear_s8 ()
void | ags_audio_buffer_util_clear_s16 ()
void | ags_audio_buffer_util_clear_s24 ()
void | ags_audio_buffer_util_clear_s32 ()
void | ags_audio_buffer_util_clear_s64 ()
void | ags_audio_buffer_util_clear_float ()
void | ags_audio_buffer_util_clear_float32 ()
void | ags_audio_buffer_util_clear_double ()
void | ags_audio_buffer_util_clear_complex ()
void | ags_audio_buffer_util_clear_buffer ()
void | ags_audio_buffer_util_pong_s8 ()
void | ags_audio_buffer_util_pong_s16 ()
void | ags_audio_buffer_util_pong_s24 ()
void | ags_audio_buffer_util_pong_s32 ()
void | ags_audio_buffer_util_pong_s64 ()
void | ags_audio_buffer_util_pong_float ()
void | ags_audio_buffer_util_pong_double ()
void | ags_audio_buffer_util_pong_complex ()
void | ags_audio_buffer_util_pong ()
void | ags_audio_buffer_util_copy_s8_to_s8 ()
void | ags_audio_buffer_util_copy_s8_to_s16 ()
void | ags_audio_buffer_util_copy_s8_to_s24 ()
void | ags_audio_buffer_util_copy_s8_to_s32 ()
void | ags_audio_buffer_util_copy_s8_to_s64 ()
void | ags_audio_buffer_util_copy_s8_to_float ()
void | ags_audio_buffer_util_copy_s8_to_double ()
void | ags_audio_buffer_util_copy_s16_to_s8 ()
void | ags_audio_buffer_util_copy_s16_to_s16 ()
void | ags_audio_buffer_util_copy_s16_to_s24 ()
void | ags_audio_buffer_util_copy_s16_to_s32 ()
void | ags_audio_buffer_util_copy_s16_to_s64 ()
void | ags_audio_buffer_util_copy_s16_to_float ()
void | ags_audio_buffer_util_copy_s16_to_double ()
void | ags_audio_buffer_util_copy_s24_to_s8 ()
void | ags_audio_buffer_util_copy_s24_to_s16 ()
void | ags_audio_buffer_util_copy_s24_to_s24 ()
void | ags_audio_buffer_util_copy_s24_to_s32 ()
void | ags_audio_buffer_util_copy_s24_to_s64 ()
void | ags_audio_buffer_util_copy_s24_to_float ()
void | ags_audio_buffer_util_copy_s24_to_double ()
void | ags_audio_buffer_util_copy_s32_to_s8 ()
void | ags_audio_buffer_util_copy_s32_to_s16 ()
void | ags_audio_buffer_util_copy_s32_to_s24 ()
void | ags_audio_buffer_util_copy_s32_to_s32 ()
void | ags_audio_buffer_util_copy_s32_to_s64 ()
void | ags_audio_buffer_util_copy_s32_to_float ()
void | ags_audio_buffer_util_copy_s32_to_double ()
void | ags_audio_buffer_util_copy_s64_to_s8 ()
void | ags_audio_buffer_util_copy_s64_to_s16 ()
void | ags_audio_buffer_util_copy_s64_to_s24 ()
void | ags_audio_buffer_util_copy_s64_to_s32 ()
void | ags_audio_buffer_util_copy_s64_to_s64 ()
void | ags_audio_buffer_util_copy_s64_to_float ()
void | ags_audio_buffer_util_copy_s64_to_double ()
void | ags_audio_buffer_util_copy_float_to_s8 ()
void | ags_audio_buffer_util_copy_float_to_s16 ()
void | ags_audio_buffer_util_copy_float_to_s24 ()
void | ags_audio_buffer_util_copy_float_to_s32 ()
void | ags_audio_buffer_util_copy_float_to_s64 ()
void | ags_audio_buffer_util_copy_float_to_float ()
void | ags_audio_buffer_util_copy_float_to_double ()
void | ags_audio_buffer_util_copy_double_to_s8 ()
void | ags_audio_buffer_util_copy_double_to_s16 ()
void | ags_audio_buffer_util_copy_double_to_s24 ()
void | ags_audio_buffer_util_copy_double_to_s32 ()
void | ags_audio_buffer_util_copy_double_to_s64 ()
void | ags_audio_buffer_util_copy_double_to_float ()
void | ags_audio_buffer_util_copy_double_to_double ()
void | ags_audio_buffer_util_copy_s8_to_float32 ()
void | ags_audio_buffer_util_copy_s16_to_float32 ()
void | ags_audio_buffer_util_copy_s24_to_float32 ()
void | ags_audio_buffer_util_copy_s32_to_float32 ()
void | ags_audio_buffer_util_copy_s64_to_float32 ()
void | ags_audio_buffer_util_copy_float_to_float32 ()
void | ags_audio_buffer_util_copy_double_to_float32 ()
void | ags_audio_buffer_util_copy_float32_to_float32 ()
void | ags_audio_buffer_util_copy_float32_to_s8 ()
void | ags_audio_buffer_util_copy_float32_to_s16 ()
void | ags_audio_buffer_util_copy_float32_to_s24 ()
void | ags_audio_buffer_util_copy_float32_to_s32 ()
void | ags_audio_buffer_util_copy_float32_to_s64 ()
void | ags_audio_buffer_util_copy_float32_to_float ()
void | ags_audio_buffer_util_copy_float32_to_double ()
void | ags_audio_buffer_util_copy_s8_to_complex ()
void | ags_audio_buffer_util_copy_s16_to_complex ()
void | ags_audio_buffer_util_copy_s24_to_complex ()
void | ags_audio_buffer_util_copy_s32_to_complex ()
void | ags_audio_buffer_util_copy_s64_to_complex ()
void | ags_audio_buffer_util_copy_float_to_complex ()
void | ags_audio_buffer_util_copy_double_to_complex ()
void | ags_audio_buffer_util_copy_float32_to_complex ()
void | ags_audio_buffer_util_copy_complex_to_complex ()
void | ags_audio_buffer_util_copy_complex_to_s8 ()
void | ags_audio_buffer_util_copy_complex_to_s16 ()
void | ags_audio_buffer_util_copy_complex_to_s24 ()
void | ags_audio_buffer_util_copy_complex_to_s32 ()
void | ags_audio_buffer_util_copy_complex_to_s64 ()
void | ags_audio_buffer_util_copy_complex_to_float ()
void | ags_audio_buffer_util_copy_complex_to_double ()
void | ags_audio_buffer_util_copy_complex_to_float32 ()
void | ags_audio_buffer_util_put_int ()
void | ags_audio_buffer_util_put_float ()
void | ags_audio_buffer_util_put_double ()
void | ags_audio_buffer_util_put_int_from_s8 ()
void | ags_audio_buffer_util_put_int_from_s16 ()
void | ags_audio_buffer_util_put_int_from_s32 ()
void | ags_audio_buffer_util_put_int_from_s64 ()
void | ags_audio_buffer_util_put_int_from_float ()
void | ags_audio_buffer_util_put_int_from_double ()
void | ags_audio_buffer_util_get_int_as_s8 ()
void | ags_audio_buffer_util_get_int_as_s16 ()
void | ags_audio_buffer_util_get_int_as_s32 ()
void | ags_audio_buffer_util_get_int_as_s64 ()
void | ags_audio_buffer_util_get_int_as_float ()
void | ags_audio_buffer_util_get_int_as_double ()
void | ags_audio_buffer_util_put_float_from_s8 ()
void | ags_audio_buffer_util_put_float_from_s16 ()
void | ags_audio_buffer_util_put_float_from_s32 ()
void | ags_audio_buffer_util_put_float_from_s64 ()
void | ags_audio_buffer_util_put_float_from_double ()
void | ags_audio_buffer_util_get_float_as_s8 ()
void | ags_audio_buffer_util_get_float_as_s16 ()
void | ags_audio_buffer_util_get_float_as_s32 ()
void | ags_audio_buffer_util_get_float_as_s64 ()
void | ags_audio_buffer_util_get_float_as_double ()
void | ags_audio_buffer_util_put_double_from_s8 ()
void | ags_audio_buffer_util_put_double_from_s16 ()
void | ags_audio_buffer_util_put_double_from_s32 ()
void | ags_audio_buffer_util_put_double_from_s64 ()
void | ags_audio_buffer_util_put_double_from_float ()
void | ags_audio_buffer_util_get_double_as_s8 ()
void | ags_audio_buffer_util_get_double_as_s16 ()
void | ags_audio_buffer_util_get_double_as_s32 ()
void | ags_audio_buffer_util_get_double_as_s64 ()
void | ags_audio_buffer_util_get_double_as_float ()
void | ags_audio_buffer_util_fill_v8s8 ()
void | ags_audio_buffer_util_fill_v8s16 ()
void | ags_audio_buffer_util_fill_v8s32 ()
void | ags_audio_buffer_util_fill_v8s64 ()
void | ags_audio_buffer_util_fill_v8float ()
void | ags_audio_buffer_util_fill_v8double ()
void | ags_audio_buffer_util_fetch_v8s8 ()
void | ags_audio_buffer_util_fetch_v8s16 ()
void | ags_audio_buffer_util_fetch_v8s32 ()
void | ags_audio_buffer_util_fetch_v8s64 ()
void | ags_audio_buffer_util_fetch_v8float ()
void | ags_audio_buffer_util_fetch_v8double ()
void | ags_audio_buffer_util_fill_v8float_from_s8 ()
void | ags_audio_buffer_util_fill_v8float_from_s16 ()
void | ags_audio_buffer_util_fill_v8float_from_s32 ()
void | ags_audio_buffer_util_fill_v8float_from_s64 ()
void | ags_audio_buffer_util_fill_v8float_from_float ()
void | ags_audio_buffer_util_fill_v8float_from_double ()
void | ags_audio_buffer_util_fetch_v8float_as_s8 ()
void | ags_audio_buffer_util_fetch_v8float_as_s16 ()
void | ags_audio_buffer_util_fetch_v8float_as_s32 ()
void | ags_audio_buffer_util_fetch_v8float_as_s64 ()
void | ags_audio_buffer_util_fetch_v8float_as_float ()
void | ags_audio_buffer_util_fetch_v8float_as_double ()
void | ags_audio_buffer_util_fill_v8double_from_s8 ()
void | ags_audio_buffer_util_fill_v8double_from_s16 ()
void | ags_audio_buffer_util_fill_v8double_from_s32 ()
void | ags_audio_buffer_util_fill_v8double_from_s64 ()
void | ags_audio_buffer_util_fill_v8double_from_float ()
void | ags_audio_buffer_util_fetch_v8double_as_s8 ()
void | ags_audio_buffer_util_fetch_v8double_as_s16 ()
void | ags_audio_buffer_util_fetch_v8double_as_s32 ()
void | ags_audio_buffer_util_fetch_v8double_as_s64 ()
void | ags_audio_buffer_util_fetch_v8double_as_float ()
void | ags_audio_buffer_util_copy_buffer_to_buffer ()

## Types and Values

#define | AGS_AUDIO_BUFFER_UTIL_DEFAULT_FORMAT
enum | AgsAudioBufferUtilFormat
enum | AgsAudioBufferUtilSamplerate
enum | AgsAudioBufferUtilCopyMode

## Object Hierarchy

        GBoxed
        ╰── AgsAudioBufferUtil

## Includes

    #include <ags/audio/ags_audio_buffer_util.h>

## Description

Utility functions to process audio buffer.

## Functions

### AGS_AUDIO_BUFFER_S8()

    #define AGS_AUDIO_BUFFER_S8(ptr) ((gint8 *)(ptr))

### AGS_AUDIO_BUFFER_S16()

    #define AGS_AUDIO_BUFFER_S16(ptr) ((gint16 *)(ptr))

### AGS_AUDIO_BUFFER_S24()

    #define AGS_AUDIO_BUFFER_S24(ptr) ((gint32 *)(ptr))

### AGS_AUDIO_BUFFER_S32()

    #define AGS_AUDIO_BUFFER_S32(ptr) ((gint32 *)(ptr))

### AGS_AUDIO_BUFFER_S64()

    #define AGS_AUDIO_BUFFER_S64(ptr) ((gint64 *)(ptr))

### AGS_AUDIO_BUFFER_FLOAT()

    #define AGS_AUDIO_BUFFER_FLOAT(ptr) ((gfloat *)(ptr))

### AGS_AUDIO_BUFFER_DOUBLE()

    #define AGS_AUDIO_BUFFER_DOUBLE(ptr) ((gdouble *)(ptr))

### AGS_AUDIO_BUFFER_COMPLEX()

    #define AGS_AUDIO_BUFFER_COMPLEX(ptr) ((AgsComplex *)(ptr))

### AGS_AUDIO_BUFFER_UTIL_S8_TO_COMPLEX()

    #define             AGS_AUDIO_BUFFER_UTIL_S8_TO_COMPLEX(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_S16_TO_COMPLEX()

    #define             AGS_AUDIO_BUFFER_UTIL_S16_TO_COMPLEX(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_S24_TO_COMPLEX()

    #define             AGS_AUDIO_BUFFER_UTIL_S24_TO_COMPLEX(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_S32_TO_COMPLEX()

    #define             AGS_AUDIO_BUFFER_UTIL_S32_TO_COMPLEX(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_S64_TO_COMPLEX()

    #define             AGS_AUDIO_BUFFER_UTIL_S64_TO_COMPLEX(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_FLOAT_TO_COMPLEX()

    #define             AGS_AUDIO_BUFFER_UTIL_FLOAT_TO_COMPLEX(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_DOUBLE_TO_COMPLEX()

    #define             AGS_AUDIO_BUFFER_UTIL_DOUBLE_TO_COMPLEX(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S8()

    #define             AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S8(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S16()

    #define             AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S16(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S24()

    #define             AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S24(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S32()

    #define             AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S32(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S64()

    #define             AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_S64(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_FLOAT()

    #define             AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_FLOAT(x_val, x_retval)

### AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_DOUBLE()

    #define             AGS_AUDIO_BUFFER_UTIL_COMPLEX_TO_DOUBLE(x_val, x_retval)

### ags_audio_buffer_util_alloc ()

    AgsAudioBufferUtil *
    ags_audio_buffer_util_alloc ();

Allocate AgsAudioBufferUtil

#### Returns

a new AgsAudioBufferUtil

Since: 7.0.0

### ags_audio_buffer_util_copy ()

    gpointer
    ags_audio_buffer_util_copy (AgsAudioBufferUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsAudioBufferUtil |

#### Returns

a pointer of the new AgsAudioBufferUtil

Since: 7.0.0

### ags_audio_buffer_util_free ()

    void
    ags_audio_buffer_util_free (AgsAudioBufferUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsAudioBufferUtil |

Since: 7.0.0

### ags_audio_buffer_util_get_destination ()

    gpointer
    ags_audio_buffer_util_get_destination (AgsAudioBufferUtil *audio_buffer_util);

Get destination buffer of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |

#### Returns

the destination buffer

Since: 7.0.0

### ags_audio_buffer_util_set_destination ()

    void
    ags_audio_buffer_util_set_destination (AgsAudioBufferUtil *audio_buffer_util,
                                           gpointer destination);

Set `destination` buffer of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination buffer. | [transfer none]

Since: 7.0.0

### ags_audio_buffer_util_get_destination_format ()

    AgsSoundcardFormat
    ags_audio_buffer_util_get_destination_format
                                   (AgsAudioBufferUtil *audio_buffer_util);

Get destination format of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |

#### Returns

the destination format

Since: 7.0.0

### ags_audio_buffer_util_set_destination_format ()

    void
    ags_audio_buffer_util_set_destination_format
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsSoundcardFormat destination_format);

Set `destination_format` of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination_format | the destination format |

Since: 7.0.0

### ags_audio_buffer_util_get_destination_stride ()

    guint
    ags_audio_buffer_util_get_destination_stride
                                   (AgsAudioBufferUtil *audio_buffer_util);

Get destination stride of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |

#### Returns

the destination buffer stride

Since: 7.0.0

### ags_audio_buffer_util_set_destination_stride ()

    void
    ags_audio_buffer_util_set_destination_stride
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    guint destination_stride);

Set `destination` stride of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination_stride | the destination buffer stride |

Since: 7.0.0

### ags_audio_buffer_util_get_source ()

    gpointer
    ags_audio_buffer_util_get_source (AgsAudioBufferUtil *audio_buffer_util);

Get source buffer of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |

#### Returns

the source buffer

Since: 7.0.0

### ags_audio_buffer_util_set_source ()

    void
    ags_audio_buffer_util_set_source (AgsAudioBufferUtil *audio_buffer_util,
                                      gpointer source);

Set `source` buffer of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
source | the source buffer. | [transfer none]

Since: 7.0.0

### ags_audio_buffer_util_get_source_format ()

    AgsSoundcardFormat
    ags_audio_buffer_util_get_source_format
                                   (AgsAudioBufferUtil *audio_buffer_util);

Get source format of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |

#### Returns

the source format

Since: 7.0.0

### ags_audio_buffer_util_set_source_format ()

    void
    ags_audio_buffer_util_set_source_format
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsSoundcardFormat source_format);

Set `source_format` of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
source_format | the source format |

Since: 7.0.0

### ags_audio_buffer_util_get_source_stride ()

    guint
    ags_audio_buffer_util_get_source_stride
                                   (AgsAudioBufferUtil *audio_buffer_util);

Get source stride of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |

#### Returns

the source buffer stride

Since: 7.0.0

### ags_audio_buffer_util_set_source_stride ()

    void
    ags_audio_buffer_util_set_source_stride
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    guint source_stride);

Set `source` stride of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
source_stride | the source buffer stride |

Since: 7.0.0

### ags_audio_buffer_util_get_copy_mode ()

    AgsAudioBufferUtilCopyMode
    ags_audio_buffer_util_get_copy_mode (AgsAudioBufferUtil *audio_buffer_util);

Get copy_mode of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |

#### Returns

the copy_mode

Since: 7.0.0

### ags_audio_buffer_util_set_copy_mode ()

    void
    ags_audio_buffer_util_set_copy_mode (AgsAudioBufferUtil *audio_buffer_util,
                                         AgsAudioBufferUtilCopyMode copy_mode);

Set `copy_mode` of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
copy_mode | the copy_mode |

Since: 7.0.0

### ags_audio_buffer_util_get_buffer_length ()

    guint
    ags_audio_buffer_util_get_buffer_length
                                   (AgsAudioBufferUtil *audio_buffer_util);

Get buffer length of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |

#### Returns

the buffer length

Since: 7.0.0

### ags_audio_buffer_util_set_buffer_length ()

    void
    ags_audio_buffer_util_set_buffer_length
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    guint buffer_length);

Set `buffer_length` of `audio_buffer_util` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer_length | the buffer length |

Since: 7.0.0

### ags_audio_buffer_util_format_from_soundcard ()

    AgsAudioBufferUtilFormat
    ags_audio_buffer_util_format_from_soundcard
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsSoundcardFormat soundcard_format);

Translate soundcard format to audio buffer util format.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
soundcard_format | the soundcard bit mode |

#### Returns

the converted format

Since: 3.0.0

### ags_audio_buffer_util_get_copy_mode_from_format ()

    AgsAudioBufferUtilCopyMode
    ags_audio_buffer_util_get_copy_mode_from_format
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsAudioBufferUtilFormat destination_format,
                                    AgsAudioBufferUtilFormat source_format);

Get copy mode for given destination and source format.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination_format | the destination buffer format |
source_format | the source buffer format |

#### Returns

the desired copy mode

Since: 3.0.0

### ags_audio_buffer_util_clear_s8 ()

    void
    ags_audio_buffer_util_clear_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                    gint8 *buffer,
                                    guint channels,
                                    guint count);

Clears a buffer.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the buffer to clear |
channels | number of channels |
count | count frames |

Since: 8.2.10

### ags_audio_buffer_util_clear_s16 ()

    void
    ags_audio_buffer_util_clear_s16 (AgsAudioBufferUtil *audio_buffer_util,
                                     gint16 *buffer,
                                     guint channels,
                                     guint count);

Clears a buffer.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the buffer to clear |
channels | number of channels |
count | count frames |

Since: 8.2.10

### ags_audio_buffer_util_clear_s24 ()

    void
    ags_audio_buffer_util_clear_s24 (AgsAudioBufferUtil *audio_buffer_util,
                                     gint32 *buffer,
                                     guint channels,
                                     guint count);

Clears a buffer.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the buffer to clear |
channels | number of channels |
count | count frames |

Since: 8.2.10

### ags_audio_buffer_util_clear_s32 ()

    void
    ags_audio_buffer_util_clear_s32 (AgsAudioBufferUtil *audio_buffer_util,
                                     gint32 *buffer,
                                     guint channels,
                                     guint count);

Clears a buffer.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the buffer to clear |
channels | number of channels |
count | count frames |

Since: 8.2.10

### ags_audio_buffer_util_clear_s64 ()

    void
    ags_audio_buffer_util_clear_s64 (AgsAudioBufferUtil *audio_buffer_util,
                                     gint64 *buffer,
                                     guint channels,
                                     guint count);

Clears a buffer.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the buffer to clear |
channels | number of channels |
count | count frames |

Since: 8.2.10

### ags_audio_buffer_util_clear_float ()

    void
    ags_audio_buffer_util_clear_float (AgsAudioBufferUtil *audio_buffer_util,
                                       gfloat *buffer,
                                       guint channels,
                                       guint count);

Clears a buffer.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the buffer to clear |
channels | number of channels |
count | count frames |

Since: 3.0.0

### ags_audio_buffer_util_clear_float32 ()

    void
    ags_audio_buffer_util_clear_float32 (AgsAudioBufferUtil *audio_buffer_util,
                                         Float32 *buffer,
                                         guint channels,
                                         guint count);

Clears a buffer.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the buffer to clear |
channels | number of channels |
count | count frames |

Since: 3.0.0

### ags_audio_buffer_util_clear_double ()

    void
    ags_audio_buffer_util_clear_double (AgsAudioBufferUtil *audio_buffer_util,
                                        gdouble *buffer,
                                        guint channels,
                                        guint count);

Clears a buffer.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the buffer to clear |
channels | number of channels |
count | count frames |

Since: 3.0.0

### ags_audio_buffer_util_clear_complex ()

    void
    ags_audio_buffer_util_clear_complex (AgsAudioBufferUtil *audio_buffer_util,
                                         AgsComplex *buffer,
                                         guint channels,
                                         guint count);

Clears a buffer.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the buffer to clear |
channels | number of channels |
count | count frames |

Since: 3.0.0

### ags_audio_buffer_util_clear_buffer ()

    void
    ags_audio_buffer_util_clear_buffer (AgsAudioBufferUtil *audio_buffer_util,
                                        void *buffer,
                                        guint channels,
                                        guint count,
                                        guint format);

Clears the audio data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
buffer | the audio data |
channels | the number of channels |
count | number of frames |
format | the format |

Since: 3.0.0

### ags_audio_buffer_util_pong_s8 ()

    void
    ags_audio_buffer_util_pong_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                   gint8 *destination,
                                   guint destination_stride,
                                   gint8 *source,
                                   guint source_stride,
                                   guint count);

Pingpong copy `source` to `destination` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination |
destination_stride | the destination channels |
source | the source |
source_stride | the source channels |
count | the count of frames |

Since: 3.4.0

### ags_audio_buffer_util_pong_s16 ()

    void
    ags_audio_buffer_util_pong_s16 (AgsAudioBufferUtil *audio_buffer_util,
                                    gint16 *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Pingpong copy `source` to `destination` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination |
destination_stride | the destination channels |
source | the source |
source_stride | the source channels |
count | the count of frames |

Since: 3.4.0

### ags_audio_buffer_util_pong_s24 ()

    void
    ags_audio_buffer_util_pong_s24 (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Pingpong copy `source` to `destination` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination |
destination_stride | the destination channels |
source | the source |
source_stride | the source channels |
count | the count of frames |

Since: 3.4.0

### ags_audio_buffer_util_pong_s32 ()

    void
    ags_audio_buffer_util_pong_s32 (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Pingpong copy `source` to `destination` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination |
destination_stride | the destination channels |
source | the source |
source_stride | the source channels |
count | the count of frames |

Since: 3.4.0

### ags_audio_buffer_util_pong_s64 ()

    void
    ags_audio_buffer_util_pong_s64 (AgsAudioBufferUtil *audio_buffer_util,
                                    gint64 *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Pingpong copy `source` to `destination` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination |
destination_stride | the destination channels |
source | the source |
source_stride | the source channels |
count | the count of frames |

Since: 3.4.0

### ags_audio_buffer_util_pong_float ()

    void
    ags_audio_buffer_util_pong_float (AgsAudioBufferUtil *audio_buffer_util,
                                      gfloat *destination,
                                      guint destination_stride,
                                      gfloat *source,
                                      guint source_stride,
                                      guint count);

Pingpong copy `source` to `destination` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination |
destination_stride | the destination channels |
source | the source |
source_stride | the source channels |
count | the count of frames |

Since: 3.4.0

### ags_audio_buffer_util_pong_double ()

    void
    ags_audio_buffer_util_pong_double (AgsAudioBufferUtil *audio_buffer_util,
                                       gdouble *destination,
                                       guint destination_stride,
                                       gdouble *source,
                                       guint source_stride,
                                       guint count);

Pingpong copy `source` to `destination` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination |
destination_stride | the destination channels |
source | the source |
source_stride | the source channels |
count | the count of frames |

Since: 3.4.0

### ags_audio_buffer_util_pong_complex ()

    void
    ags_audio_buffer_util_pong_complex (AgsAudioBufferUtil *audio_buffer_util,
                                        AgsComplex *destination,
                                        guint destination_stride,
                                        AgsComplex *source,
                                        guint source_stride,
                                        guint count);

Pingpong copy `source` to `destination` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination |
destination_stride | the destination channels |
source | the source |
source_stride | the source channels |
count | the count of frames |

Since: 3.4.0

### ags_audio_buffer_util_pong ()

    void
    ags_audio_buffer_util_pong (AgsAudioBufferUtil *audio_buffer_util,
                                void *destination,
                                guint destination_stride,
                                void *source,
                                guint source_stride,
                                guint count,
                                guint format);

Pingpong copy `source` to `destination` .

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | the destination |
destination_stride | the destination channels |
source | the source |
source_stride | the source channels |
count | the count of frames |
format | the format |

Since: 3.4.0

### ags_audio_buffer_util_copy_s8_to_s8 ()

    void
    ags_audio_buffer_util_copy_s8_to_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                         gint8 *destination,
                                         guint destination_stride,
                                         gint8 *source,
                                         guint source_stride,
                                         guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s8_to_s16 ()

    void
    ags_audio_buffer_util_copy_s8_to_s16 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint16 *destination,
                                          guint destination_stride,
                                          gint8 *source,
                                          guint source_stride,
                                          guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s8_to_s24 ()

    void
    ags_audio_buffer_util_copy_s8_to_s24 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint32 *destination,
                                          guint destination_stride,
                                          gint8 *source,
                                          guint source_stride,
                                          guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s8_to_s32 ()

    void
    ags_audio_buffer_util_copy_s8_to_s32 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint32 *destination,
                                          guint destination_stride,
                                          gint8 *source,
                                          guint source_stride,
                                          guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s8_to_s64 ()

    void
    ags_audio_buffer_util_copy_s8_to_s64 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint64 *destination,
                                          guint destination_stride,
                                          gint8 *source,
                                          guint source_stride,
                                          guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s8_to_float ()

    void
    ags_audio_buffer_util_copy_s8_to_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint8 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s8_to_double ()

    void
    ags_audio_buffer_util_copy_s8_to_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint8 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s16_to_s8 ()

    void
    ags_audio_buffer_util_copy_s16_to_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint8 *destination,
                                          guint destination_stride,
                                          gint16 *source,
                                          guint source_stride,
                                          guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s16_to_s16 ()

    void
    ags_audio_buffer_util_copy_s16_to_s16 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint16 *destination,
                                           guint destination_stride,
                                           gint16 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s16_to_s24 ()

    void
    ags_audio_buffer_util_copy_s16_to_s24 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint32 *destination,
                                           guint destination_stride,
                                           gint16 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s16_to_s32 ()

    void
    ags_audio_buffer_util_copy_s16_to_s32 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint32 *destination,
                                           guint destination_stride,
                                           gint16 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s16_to_s64 ()

    void
    ags_audio_buffer_util_copy_s16_to_s64 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint64 *destination,
                                           guint destination_stride,
                                           gint16 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s16_to_float ()

    void
    ags_audio_buffer_util_copy_s16_to_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s16_to_double ()

    void
    ags_audio_buffer_util_copy_s16_to_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s24_to_s8 ()

    void
    ags_audio_buffer_util_copy_s24_to_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint8 *destination,
                                          guint destination_stride,
                                          gint32 *source,
                                          guint source_stride,
                                          guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s24_to_s16 ()

    void
    ags_audio_buffer_util_copy_s24_to_s16 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint16 *destination,
                                           guint destination_stride,
                                           gint32 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s24_to_s24 ()

    void
    ags_audio_buffer_util_copy_s24_to_s24 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint32 *destination,
                                           guint destination_stride,
                                           gint32 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s24_to_s32 ()

    void
    ags_audio_buffer_util_copy_s24_to_s32 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint32 *destination,
                                           guint destination_stride,
                                           gint32 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s24_to_s64 ()

    void
    ags_audio_buffer_util_copy_s24_to_s64 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint64 *destination,
                                           guint destination_stride,
                                           gint32 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s24_to_float ()

    void
    ags_audio_buffer_util_copy_s24_to_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s24_to_double ()

    void
    ags_audio_buffer_util_copy_s24_to_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s32_to_s8 ()

    void
    ags_audio_buffer_util_copy_s32_to_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint8 *destination,
                                          guint destination_stride,
                                          gint32 *source,
                                          guint source_stride,
                                          guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s32_to_s16 ()

    void
    ags_audio_buffer_util_copy_s32_to_s16 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint16 *destination,
                                           guint destination_stride,
                                           gint32 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s32_to_s24 ()

    void
    ags_audio_buffer_util_copy_s32_to_s24 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint32 *destination,
                                           guint destination_stride,
                                           gint32 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s32_to_s32 ()

    void
    ags_audio_buffer_util_copy_s32_to_s32 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint32 *destination,
                                           guint destination_stride,
                                           gint32 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s32_to_s64 ()

    void
    ags_audio_buffer_util_copy_s32_to_s64 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint64 *destination,
                                           guint destination_stride,
                                           gint32 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s32_to_float ()

    void
    ags_audio_buffer_util_copy_s32_to_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s32_to_double ()

    void
    ags_audio_buffer_util_copy_s32_to_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s64_to_s8 ()

    void
    ags_audio_buffer_util_copy_s64_to_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint8 *destination,
                                          guint destination_stride,
                                          gint64 *source,
                                          guint source_stride,
                                          guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s64_to_s16 ()

    void
    ags_audio_buffer_util_copy_s64_to_s16 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint16 *destination,
                                           guint destination_stride,
                                           gint64 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s64_to_s24 ()

    void
    ags_audio_buffer_util_copy_s64_to_s24 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint32 *destination,
                                           guint destination_stride,
                                           gint64 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s64_to_s32 ()

    void
    ags_audio_buffer_util_copy_s64_to_s32 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint32 *destination,
                                           guint destination_stride,
                                           gint64 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s64_to_s64 ()

    void
    ags_audio_buffer_util_copy_s64_to_s64 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint64 *destination,
                                           guint destination_stride,
                                           gint64 *source,
                                           guint source_stride,
                                           guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s64_to_float ()

    void
    ags_audio_buffer_util_copy_s64_to_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s64_to_double ()

    void
    ags_audio_buffer_util_copy_s64_to_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float_to_s8 ()

    void
    ags_audio_buffer_util_copy_float_to_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint8 *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float_to_s16 ()

    void
    ags_audio_buffer_util_copy_float_to_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint16 *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float_to_s24 ()

    void
    ags_audio_buffer_util_copy_float_to_s24
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float_to_s32 ()

    void
    ags_audio_buffer_util_copy_float_to_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float_to_s64 ()

    void
    ags_audio_buffer_util_copy_float_to_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint64 *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float_to_float ()

    void
    ags_audio_buffer_util_copy_float_to_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float_to_double ()

    void
    ags_audio_buffer_util_copy_float_to_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_double_to_s8 ()

    void
    ags_audio_buffer_util_copy_double_to_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint8 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_double_to_s16 ()

    void
    ags_audio_buffer_util_copy_double_to_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint16 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_double_to_s24 ()

    void
    ags_audio_buffer_util_copy_double_to_s24
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_double_to_s32 ()

    void
    ags_audio_buffer_util_copy_double_to_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_double_to_s64 ()

    void
    ags_audio_buffer_util_copy_double_to_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint64 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_double_to_float ()

    void
    ags_audio_buffer_util_copy_double_to_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_double_to_double ()

    void
    ags_audio_buffer_util_copy_double_to_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s8_to_float32 ()

    void
    ags_audio_buffer_util_copy_s8_to_float32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    Float32 *destination,
                                    guint destination_stride,
                                    gint8 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s16_to_float32 ()

    void
    ags_audio_buffer_util_copy_s16_to_float32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    Float32 *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s24_to_float32 ()

    void
    ags_audio_buffer_util_copy_s24_to_float32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    Float32 *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s32_to_float32 ()

    void
    ags_audio_buffer_util_copy_s32_to_float32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    Float32 *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s64_to_float32 ()

    void
    ags_audio_buffer_util_copy_s64_to_float32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    Float32 *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float_to_float32 ()

    void
    ags_audio_buffer_util_copy_float_to_float32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    Float32 *destination,
                                    guint destination_stride,
                                    float *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_double_to_float32 ()

    void
    ags_audio_buffer_util_copy_double_to_float32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    Float32 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float32_to_float32 ()

    void
    ags_audio_buffer_util_copy_float32_to_float32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    Float32 *destination,
                                    guint destination_stride,
                                    Float32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float32_to_s8 ()

    void
    ags_audio_buffer_util_copy_float32_to_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint8 *destination,
                                    guint destination_stride,
                                    Float32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float32_to_s16 ()

    void
    ags_audio_buffer_util_copy_float32_to_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint16 *destination,
                                    guint destination_stride,
                                    Float32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float32_to_s24 ()

    void
    ags_audio_buffer_util_copy_float32_to_s24
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    Float32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float32_to_s32 ()

    void
    ags_audio_buffer_util_copy_float32_to_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    Float32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float32_to_s64 ()

    void
    ags_audio_buffer_util_copy_float32_to_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint64 *destination,
                                    guint destination_stride,
                                    Float32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float32_to_float ()

    void
    ags_audio_buffer_util_copy_float32_to_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    Float32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float32_to_double ()

    void
    ags_audio_buffer_util_copy_float32_to_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    Float32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s8_to_complex ()

    void
    ags_audio_buffer_util_copy_s8_to_complex
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsComplex *destination,
                                    guint destination_stride,
                                    gint8 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s16_to_complex ()

    void
    ags_audio_buffer_util_copy_s16_to_complex
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsComplex *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s24_to_complex ()

    void
    ags_audio_buffer_util_copy_s24_to_complex
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsComplex *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s32_to_complex ()

    void
    ags_audio_buffer_util_copy_s32_to_complex
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsComplex *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_s64_to_complex ()

    void
    ags_audio_buffer_util_copy_s64_to_complex
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsComplex *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float_to_complex ()

    void
    ags_audio_buffer_util_copy_float_to_complex
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsComplex *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_double_to_complex ()

    void
    ags_audio_buffer_util_copy_double_to_complex
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsComplex *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_float32_to_complex ()

    void
    ags_audio_buffer_util_copy_float32_to_complex
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsComplex *destination,
                                    guint destination_stride,
                                    Float32 *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_complex_to_complex ()

    void
    ags_audio_buffer_util_copy_complex_to_complex
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    AgsComplex *destination,
                                    guint destination_stride,
                                    AgsComplex *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_complex_to_s8 ()

    void
    ags_audio_buffer_util_copy_complex_to_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint8 *destination,
                                    guint destination_stride,
                                    AgsComplex *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_complex_to_s16 ()

    void
    ags_audio_buffer_util_copy_complex_to_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint16 *destination,
                                    guint destination_stride,
                                    AgsComplex *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_complex_to_s24 ()

    void
    ags_audio_buffer_util_copy_complex_to_s24
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    AgsComplex *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_complex_to_s32 ()

    void
    ags_audio_buffer_util_copy_complex_to_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    AgsComplex *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_complex_to_s64 ()

    void
    ags_audio_buffer_util_copy_complex_to_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint64 *destination,
                                    guint destination_stride,
                                    AgsComplex *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_complex_to_float ()

    void
    ags_audio_buffer_util_copy_complex_to_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    AgsComplex *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_complex_to_double ()

    void
    ags_audio_buffer_util_copy_complex_to_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    AgsComplex *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_copy_complex_to_float32 ()

    void
    ags_audio_buffer_util_copy_complex_to_float32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    Float32 *destination,
                                    guint destination_stride,
                                    AgsComplex *source,
                                    guint source_stride,
                                    guint count);

Copy audio data using additive strategy.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 3.0.0

### ags_audio_buffer_util_put_int ()

    void
    ags_audio_buffer_util_put_int (AgsAudioBufferUtil *audio_buffer_util,
                                   gint *destination,
                                   guint destination_stride,
                                   gint *source,
                                   guint source_stride,
                                   guint count);

Fill vector with integer data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_float ()

    void
    ags_audio_buffer_util_put_float (AgsAudioBufferUtil *audio_buffer_util,
                                     gfloat *destination,
                                     guint destination_stride,
                                     gfloat *source,
                                     guint source_stride,
                                     guint count);

Fill vector with single precision floating point data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_double ()

    void
    ags_audio_buffer_util_put_double (AgsAudioBufferUtil *audio_buffer_util,
                                      gdouble *destination,
                                      guint destination_stride,
                                      gdouble *source,
                                      guint source_stride,
                                      guint count);

Fill vector with double precision floating point data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_int_from_s8 ()

    void
    ags_audio_buffer_util_put_int_from_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint *destination,
                                           guint destination_stride,
                                           gint8 *source,
                                           guint source_stride,
                                           guint count);

Fill vector with single precision floating point data from signed 8 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_int_from_s16 ()

    void
    ags_audio_buffer_util_put_int_from_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from signed 16 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_int_from_s32 ()

    void
    ags_audio_buffer_util_put_int_from_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from signed 32 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_int_from_s64 ()

    void
    ags_audio_buffer_util_put_int_from_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from signed 64 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_int_from_float ()

    void
    ags_audio_buffer_util_put_int_from_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from float.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_int_from_double ()

    void
    ags_audio_buffer_util_put_int_from_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from double.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_int_as_s8 ()

    void
    ags_audio_buffer_util_get_int_as_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                         gint8 *destination,
                                         guint destination_stride,
                                         gint *source,
                                         guint source_stride,
                                         guint count);

Read vector with integer as signed 8 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_int_as_s16 ()

    void
    ags_audio_buffer_util_get_int_as_s16 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint16 *destination,
                                          guint destination_stride,
                                          gint *source,
                                          guint source_stride,
                                          guint count);

Read vector with integer as signed 16 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_int_as_s32 ()

    void
    ags_audio_buffer_util_get_int_as_s32 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint32 *destination,
                                          guint destination_stride,
                                          gint *source,
                                          guint source_stride,
                                          guint count);

Read vector with integer as signed 32 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_int_as_s64 ()

    void
    ags_audio_buffer_util_get_int_as_s64 (AgsAudioBufferUtil *audio_buffer_util,
                                          gint64 *destination,
                                          guint destination_stride,
                                          gint *source,
                                          guint source_stride,
                                          guint count);

Read vector with integer as signed 64 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_int_as_float ()

    void
    ags_audio_buffer_util_get_int_as_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint *source,
                                    guint source_stride,
                                    guint count);

Read vector with integer as float.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_int_as_double ()

    void
    ags_audio_buffer_util_get_int_as_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint *source,
                                    guint source_stride,
                                    guint count);

Read vector with integer as double.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_float_from_s8 ()

    void
    ags_audio_buffer_util_put_float_from_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint8 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from signed 8 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_float_from_s16 ()

    void
    ags_audio_buffer_util_put_float_from_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from signed 16 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_float_from_s32 ()

    void
    ags_audio_buffer_util_put_float_from_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from signed 32 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_float_from_s64 ()

    void
    ags_audio_buffer_util_put_float_from_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from signed 64 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_float_from_double ()

    void
    ags_audio_buffer_util_put_float_from_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Fill vector with single precision floating point data from double.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_float_as_s8 ()

    void
    ags_audio_buffer_util_get_float_as_s8 (AgsAudioBufferUtil *audio_buffer_util,
                                           gint8 *destination,
                                           guint destination_stride,
                                           gfloat *source,
                                           guint source_stride,
                                           guint count);

Read vector with single precision floating point data as signed 8 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_float_as_s16 ()

    void
    ags_audio_buffer_util_get_float_as_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint16 *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Read vector with single precision floating point data as signed 16 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_float_as_s32 ()

    void
    ags_audio_buffer_util_get_float_as_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Read vector with single precision floating point data as signed 32 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_float_as_s64 ()

    void
    ags_audio_buffer_util_get_float_as_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint64 *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Read vector with single precision floating point data as signed 64 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_float_as_double ()

    void
    ags_audio_buffer_util_get_float_as_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Read vector with single precision floating point data as double.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_double_from_s8 ()

    void
    ags_audio_buffer_util_put_double_from_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint8 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from signed 8 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_double_from_s16 ()

    void
    ags_audio_buffer_util_put_double_from_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from signed 16 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_double_from_s32 ()

    void
    ags_audio_buffer_util_put_double_from_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from signed 32 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_double_from_s64 ()

    void
    ags_audio_buffer_util_put_double_from_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from signed 64 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_put_double_from_float ()

    void
    ags_audio_buffer_util_put_double_from_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from float.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_double_as_s8 ()

    void
    ags_audio_buffer_util_get_double_as_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint8 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Read vector with double precision floating point data as signed 8 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_double_as_s16 ()

    void
    ags_audio_buffer_util_get_double_as_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint16 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Read vector with double precision floating point data as signed 16 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_double_as_s32 ()

    void
    ags_audio_buffer_util_get_double_as_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Read vector with double precision floating point data as signed 32 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_double_as_s64 ()

    void
    ags_audio_buffer_util_get_double_as_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint64 *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Read vector with double precision floating point data as signed 64 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_get_double_as_float ()

    void
    ags_audio_buffer_util_get_double_as_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Read vector with double precision floating point data as float.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8s8 ()

    void
    ags_audio_buffer_util_fill_v8s8 (AgsAudioBufferUtil *audio_buffer_util,
                                     ags_v8s8 *destination,
                                     guint destination_stride,
                                     gint8 *source,
                                     guint source_stride,
                                     guint count);

Fill vector with signed 8 bit data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8s16 ()

    void
    ags_audio_buffer_util_fill_v8s16 (AgsAudioBufferUtil *audio_buffer_util,
                                      ags_v8s16 *destination,
                                      guint destination_stride,
                                      gint16 *source,
                                      guint source_stride,
                                      guint count);

Fill vector with signed 16 bit data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8s32 ()

    void
    ags_audio_buffer_util_fill_v8s32 (AgsAudioBufferUtil *audio_buffer_util,
                                      ags_v8s32 *destination,
                                      guint destination_stride,
                                      gint32 *source,
                                      guint source_stride,
                                      guint count);

Fill vector with signed 32 bit data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8s64 ()

    void
    ags_audio_buffer_util_fill_v8s64 (AgsAudioBufferUtil *audio_buffer_util,
                                      ags_v8s64 *destination,
                                      guint destination_stride,
                                      gint64 *source,
                                      guint source_stride,
                                      guint count);

Fill vector with signed 64 bit data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8float ()

    void
    ags_audio_buffer_util_fill_v8float (AgsAudioBufferUtil *audio_buffer_util,
                                        ags_v8float *destination,
                                        guint destination_stride,
                                        gfloat *source,
                                        guint source_stride,
                                        guint count);

Fill vector with single precision floating point data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8double ()

    void
    ags_audio_buffer_util_fill_v8double (AgsAudioBufferUtil *audio_buffer_util,
                                         ags_v8double *destination,
                                         guint destination_stride,
                                         gdouble *source,
                                         guint source_stride,
                                         guint count);

Fill vector with double precision floating point data.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8s8 ()

    void
    ags_audio_buffer_util_fetch_v8s8 (AgsAudioBufferUtil *audio_buffer_util,
                                      gint8 *destination,
                                      guint destination_stride,
                                      ags_v8s8 *source,
                                      guint source_stride,
                                      guint count);

Fetch signed 8 bit data from vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8s16 ()

    void
    ags_audio_buffer_util_fetch_v8s16 (AgsAudioBufferUtil *audio_buffer_util,
                                       gint16 *destination,
                                       guint destination_stride,
                                       ags_v8s16 *source,
                                       guint source_stride,
                                       guint count);

Fetch signed 16 bit data from vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8s32 ()

    void
    ags_audio_buffer_util_fetch_v8s32 (AgsAudioBufferUtil *audio_buffer_util,
                                       gint32 *destination,
                                       guint destination_stride,
                                       ags_v8s32 *source,
                                       guint source_stride,
                                       guint count);

Fetch signed 32 bit data from vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8s64 ()

    void
    ags_audio_buffer_util_fetch_v8s64 (AgsAudioBufferUtil *audio_buffer_util,
                                       gint64 *destination,
                                       guint destination_stride,
                                       ags_v8s64 *source,
                                       guint source_stride,
                                       guint count);

Fetch signed 64 bit data from vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8float ()

    void
    ags_audio_buffer_util_fetch_v8float (AgsAudioBufferUtil *audio_buffer_util,
                                         gfloat *destination,
                                         guint destination_stride,
                                         ags_v8float *source,
                                         guint source_stride,
                                         guint count);

Fetch single precision floating point data from vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8double ()

    void
    ags_audio_buffer_util_fetch_v8double (AgsAudioBufferUtil *audio_buffer_util,
                                          gdouble *destination,
                                          guint destination_stride,
                                          ags_v8double *source,
                                          guint source_stride,
                                          guint count);

Fetch double precision floating point data from vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8float_from_s8 ()

    void
    ags_audio_buffer_util_fill_v8float_from_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8float *destination,
                                    guint destination_stride,
                                    gint8 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with float precision floating point data from signed 8 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8float_from_s16 ()

    void
    ags_audio_buffer_util_fill_v8float_from_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8float *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with float precision floating point data from signed 16 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8float_from_s32 ()

    void
    ags_audio_buffer_util_fill_v8float_from_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8float *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with float precision floating point data from signed 32 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8float_from_s64 ()

    void
    ags_audio_buffer_util_fill_v8float_from_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8float *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with float precision floating point data from signed 64 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8float_from_float ()

    void
    ags_audio_buffer_util_fill_v8float_from_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8float *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Fill vector with float precision floating point data from float.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8float_from_double ()

    void
    ags_audio_buffer_util_fill_v8float_from_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8float *destination,
                                    guint destination_stride,
                                    gdouble *source,
                                    guint source_stride,
                                    guint count);

Fill vector with float precision floating point data from float.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8float_as_s8 ()

    void
    ags_audio_buffer_util_fetch_v8float_as_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint8 *destination,
                                    guint destination_stride,
                                    ags_v8float *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 8 bit data from float vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8float_as_s16 ()

    void
    ags_audio_buffer_util_fetch_v8float_as_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint16 *destination,
                                    guint destination_stride,
                                    ags_v8float *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 16 bit data from float vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8float_as_s32 ()

    void
    ags_audio_buffer_util_fetch_v8float_as_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    ags_v8float *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 32 bit data from float vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8float_as_s64 ()

    void
    ags_audio_buffer_util_fetch_v8float_as_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint64 *destination,
                                    guint destination_stride,
                                    ags_v8float *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 64 bit data from float vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8float_as_float ()

    void
    ags_audio_buffer_util_fetch_v8float_as_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    ags_v8float *source,
                                    guint source_stride,
                                    guint count);

### ags_audio_buffer_util_fetch_v8float_as_double ()

    void
    ags_audio_buffer_util_fetch_v8float_as_double
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gdouble *destination,
                                    guint destination_stride,
                                    ags_v8float *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 16 bit data from float vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8double_from_s8 ()

    void
    ags_audio_buffer_util_fill_v8double_from_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8double *destination,
                                    guint destination_stride,
                                    gint8 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from signed 8 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8double_from_s16 ()

    void
    ags_audio_buffer_util_fill_v8double_from_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8double *destination,
                                    guint destination_stride,
                                    gint16 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from signed 16 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8double_from_s32 ()

    void
    ags_audio_buffer_util_fill_v8double_from_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8double *destination,
                                    guint destination_stride,
                                    gint32 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from signed 32 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8double_from_s64 ()

    void
    ags_audio_buffer_util_fill_v8double_from_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8double *destination,
                                    guint destination_stride,
                                    gint64 *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from signed 64 bit.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fill_v8double_from_float ()

    void
    ags_audio_buffer_util_fill_v8double_from_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    ags_v8double *destination,
                                    guint destination_stride,
                                    gfloat *source,
                                    guint source_stride,
                                    guint count);

Fill vector with double precision floating point data from float.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination vector |
destination_stride | destination vector's count of channels |
source | source buffer |
source_stride | source buffer's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8double_as_s8 ()

    void
    ags_audio_buffer_util_fetch_v8double_as_s8
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint8 *destination,
                                    guint destination_stride,
                                    ags_v8double *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 8 bit data from double vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8double_as_s16 ()

    void
    ags_audio_buffer_util_fetch_v8double_as_s16
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint16 *destination,
                                    guint destination_stride,
                                    ags_v8double *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 16 bit data from double vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8double_as_s32 ()

    void
    ags_audio_buffer_util_fetch_v8double_as_s32
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint32 *destination,
                                    guint destination_stride,
                                    ags_v8double *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 32 bit data from double vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8double_as_s64 ()

    void
    ags_audio_buffer_util_fetch_v8double_as_s64
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gint64 *destination,
                                    guint destination_stride,
                                    ags_v8double *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 64 bit data from double vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_fetch_v8double_as_float ()

    void
    ags_audio_buffer_util_fetch_v8double_as_float
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    gfloat *destination,
                                    guint destination_stride,
                                    ags_v8double *source,
                                    guint source_stride,
                                    guint count);

Fetch signed 16 bit data from double vector.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
source | source vector |
source_stride | source vector's count of channels |
count | number of frames to copy |

Since: 7.0.0

### ags_audio_buffer_util_copy_buffer_to_buffer ()

    void
    ags_audio_buffer_util_copy_buffer_to_buffer
                                   (AgsAudioBufferUtil *audio_buffer_util,
                                    void *destination,
                                    guint destination_stride,
                                    guint doffset,
                                    void *source,
                                    guint source_stride,
                                    guint soffset,
                                    guint count,
                                    AgsAudioBufferUtilCopyMode mode);

Wrapper function to copy functions. Doing type conversion.

#### Parameters

audio_buffer_util | the AgsAudioBufferUtil |
destination | destination buffer |
destination_stride | destination buffer's count of channels |
doffset | start frame of destination |
source | source buffer |
source_stride | source buffer's count of channels |
soffset | start frame of source |
count | number of frames to copy |
mode | specified type conversion as described |

Since: 3.0.0

## Types and Values

### AGS_AUDIO_BUFFER_UTIL_DEFAULT_FORMAT

    #define AGS_AUDIO_BUFFER_UTIL_DEFAULT_FORMAT (AGS_AUDIO_BUFFER_UTIL_S16)

### enum AgsAudioBufferUtilFormat

AgsAudioBufferUtilFormat specifies the audio data representation.

#### Members

AGS_AUDIO_BUFFER_UTIL_S8 | signed 8 bit raw pcm |
AGS_AUDIO_BUFFER_UTIL_S16 | signed 16 bit raw pcm |
AGS_AUDIO_BUFFER_UTIL_S24 | signed 24 bit raw pcm |
AGS_AUDIO_BUFFER_UTIL_S32 | signed 32 bit raw pcm |
AGS_AUDIO_BUFFER_UTIL_S64 | signed 64 bit raw pcm |
AGS_AUDIO_BUFFER_UTIL_FLOAT | signed float raw pcm |
AGS_AUDIO_BUFFER_UTIL_DOUBLE | signed double raw pcm |
AGS_AUDIO_BUFFER_UTIL_FLOAT32 | signed float32 raw pcm |
AGS_AUDIO_BUFFER_UTIL_COMPLEX | complex data type |

### enum AgsAudioBufferUtilSamplerate

Some common samplerates in Hertz.

#### Members

AGS_AUDIO_BUFFER_UTIL_8000HZ | 8000 Hz |
AGS_AUDIO_BUFFER_UTIL_44100HZ | 44100 Hz |
AGS_AUDIO_BUFFER_UTIL_48000HZ | 48000 Hz |
AGS_AUDIO_BUFFER_UTIL_96000HZ | 96000 Hz |
AGS_AUDIO_BUFFER_UTIL_176400HZ | 176400 Hz |
AGS_AUDIO_BUFFER_UTIL_192000HZ | 192000 Hz |
AGS_AUDIO_BUFFER_UTIL_352800HZ | 352800 Hz |
AGS_AUDIO_BUFFER_UTIL_2822400HZ | 2822400 Hz |
AGS_AUDIO_BUFFER_UTIL_5644800HZ | 5644800 Hz |

### enum AgsAudioBufferUtilCopyMode

Copy modes.

#### Members

AGS_AUDIO_BUFFER_UTIL_COPY_S8_TO_S8 | copy AGS_AUDIO_BUFFER_UTIL_S8 to AGS_AUDIO_BUFFER_UTIL_S8 |
AGS_AUDIO_BUFFER_UTIL_COPY_S8_TO_S16 | copy AGS_AUDIO_BUFFER_UTIL_S8 to AGS_AUDIO_BUFFER_UTIL_S16 |
AGS_AUDIO_BUFFER_UTIL_COPY_S8_TO_S24 | copy AGS_AUDIO_BUFFER_UTIL_S8 to AGS_AUDIO_BUFFER_UTIL_S24 |
AGS_AUDIO_BUFFER_UTIL_COPY_S8_TO_S32 | copy AGS_AUDIO_BUFFER_UTIL_S8 to AGS_AUDIO_BUFFER_UTIL_S32 |
AGS_AUDIO_BUFFER_UTIL_COPY_S8_TO_S64 | copy AGS_AUDIO_BUFFER_UTIL_S8 to AGS_AUDIO_BUFFER_UTIL_S64 |
AGS_AUDIO_BUFFER_UTIL_COPY_S8_TO_FLOAT | copy AGS_AUDIO_BUFFER_UTIL_S8 to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_S8_TO_DOUBLE | copy AGS_AUDIO_BUFFER_UTIL_S8 to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_S16_TO_S8 | copy AGS_AUDIO_BUFFER_UTIL_S16 to AGS_AUDIO_BUFFER_UTIL_S8 |
AGS_AUDIO_BUFFER_UTIL_COPY_S16_TO_S16 | copy AGS_AUDIO_BUFFER_UTIL_S16 to AGS_AUDIO_BUFFER_UTIL_S16 |
AGS_AUDIO_BUFFER_UTIL_COPY_S16_TO_S24 | copy AGS_AUDIO_BUFFER_UTIL_S16 to AGS_AUDIO_BUFFER_UTIL_S24 |
AGS_AUDIO_BUFFER_UTIL_COPY_S16_TO_S32 | copy AGS_AUDIO_BUFFER_UTIL_S16 to AGS_AUDIO_BUFFER_UTIL_S32 |
AGS_AUDIO_BUFFER_UTIL_COPY_S16_TO_S64 | copy AGS_AUDIO_BUFFER_UTIL_S16 to AGS_AUDIO_BUFFER_UTIL_S64 |
AGS_AUDIO_BUFFER_UTIL_COPY_S16_TO_FLOAT | copy AGS_AUDIO_BUFFER_UTIL_S16 to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_S16_TO_DOUBLE | copy AGS_AUDIO_BUFFER_UTIL_S16 to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_S24_TO_S8 | copy AGS_AUDIO_BUFFER_UTIL_S24 to AGS_AUDIO_BUFFER_UTIL_S8 |
AGS_AUDIO_BUFFER_UTIL_COPY_S24_TO_S16 | copy AGS_AUDIO_BUFFER_UTIL_S24 to AGS_AUDIO_BUFFER_UTIL_S16 |
AGS_AUDIO_BUFFER_UTIL_COPY_S24_TO_S24 | copy AGS_AUDIO_BUFFER_UTIL_S24 to AGS_AUDIO_BUFFER_UTIL_S24 |
AGS_AUDIO_BUFFER_UTIL_COPY_S24_TO_S32 | copy AGS_AUDIO_BUFFER_UTIL_S24 to AGS_AUDIO_BUFFER_UTIL_S32 |
AGS_AUDIO_BUFFER_UTIL_COPY_S24_TO_S64 | copy AGS_AUDIO_BUFFER_UTIL_S24 to AGS_AUDIO_BUFFER_UTIL_S64 |
AGS_AUDIO_BUFFER_UTIL_COPY_S24_TO_FLOAT | copy AGS_AUDIO_BUFFER_UTIL_S24 to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_S24_TO_DOUBLE | copy AGS_AUDIO_BUFFER_UTIL_S24 to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_S32_TO_S8 | copy AGS_AUDIO_BUFFER_UTIL_S32 to AGS_AUDIO_BUFFER_UTIL_S8 |
AGS_AUDIO_BUFFER_UTIL_COPY_S32_TO_S16 | copy AGS_AUDIO_BUFFER_UTIL_S32 to AGS_AUDIO_BUFFER_UTIL_S16 |
AGS_AUDIO_BUFFER_UTIL_COPY_S32_TO_S24 | copy AGS_AUDIO_BUFFER_UTIL_S32 to AGS_AUDIO_BUFFER_UTIL_S24 |
AGS_AUDIO_BUFFER_UTIL_COPY_S32_TO_S32 | copy AGS_AUDIO_BUFFER_UTIL_S32 to AGS_AUDIO_BUFFER_UTIL_S32 |
AGS_AUDIO_BUFFER_UTIL_COPY_S32_TO_S64 | copy AGS_AUDIO_BUFFER_UTIL_S32 to AGS_AUDIO_BUFFER_UTIL_S64 |
AGS_AUDIO_BUFFER_UTIL_COPY_S32_TO_FLOAT | copy AGS_AUDIO_BUFFER_UTIL_S32 to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_S32_TO_DOUBLE | copy AGS_AUDIO_BUFFER_UTIL_S32 to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_S64_TO_S8 | copy AGS_AUDIO_BUFFER_UTIL_S64 to AGS_AUDIO_BUFFER_UTIL_S8 |
AGS_AUDIO_BUFFER_UTIL_COPY_S64_TO_S16 | copy AGS_AUDIO_BUFFER_UTIL_S64 to AGS_AUDIO_BUFFER_UTIL_S16 |
AGS_AUDIO_BUFFER_UTIL_COPY_S64_TO_S24 | copy AGS_AUDIO_BUFFER_UTIL_S64 to AGS_AUDIO_BUFFER_UTIL_S24 |
AGS_AUDIO_BUFFER_UTIL_COPY_S64_TO_S32 | copy AGS_AUDIO_BUFFER_UTIL_S64 to AGS_AUDIO_BUFFER_UTIL_S32 |
AGS_AUDIO_BUFFER_UTIL_COPY_S64_TO_S64 | copy AGS_AUDIO_BUFFER_UTIL_S64 to AGS_AUDIO_BUFFER_UTIL_S64 |
AGS_AUDIO_BUFFER_UTIL_COPY_S64_TO_FLOAT | copy AGS_AUDIO_BUFFER_UTIL_S64 to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_S64_TO_DOUBLE | copy AGS_AUDIO_BUFFER_UTIL_S64 to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT_TO_S8 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT to AGS_AUDIO_BUFFER_UTIL_S8 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT_TO_S16 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT to AGS_AUDIO_BUFFER_UTIL_S16 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT_TO_S24 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT to AGS_AUDIO_BUFFER_UTIL_S24 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT_TO_S32 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT to AGS_AUDIO_BUFFER_UTIL_S32 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT_TO_S64 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT to AGS_AUDIO_BUFFER_UTIL_S64 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT_TO_FLOAT | copy AGS_AUDIO_BUFFER_UTIL_FLOAT to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT_TO_DOUBLE | copy AGS_AUDIO_BUFFER_UTIL_FLOAT to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_DOUBLE_TO_S8 | copy AGS_AUDIO_BUFFER_UTIL_DOUBLE to AGS_AUDIO_BUFFER_UTIL_S8 |
AGS_AUDIO_BUFFER_UTIL_COPY_DOUBLE_TO_S16 | copy AGS_AUDIO_BUFFER_UTIL_DOUBLE to AGS_AUDIO_BUFFER_UTIL_S16 |
AGS_AUDIO_BUFFER_UTIL_COPY_DOUBLE_TO_S24 | copy AGS_AUDIO_BUFFER_UTIL_DOUBLE to AGS_AUDIO_BUFFER_UTIL_S24 |
AGS_AUDIO_BUFFER_UTIL_COPY_DOUBLE_TO_S32 | copy AGS_AUDIO_BUFFER_UTIL_DOUBLE to AGS_AUDIO_BUFFER_UTIL_S32 |
AGS_AUDIO_BUFFER_UTIL_COPY_DOUBLE_TO_S64 | copy AGS_AUDIO_BUFFER_UTIL_DOUBLE to AGS_AUDIO_BUFFER_UTIL_S64 |
AGS_AUDIO_BUFFER_UTIL_COPY_DOUBLE_TO_FLOAT | copy AGS_AUDIO_BUFFER_UTIL_DOUBLE to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_DOUBLE_TO_DOUBLE | copy AGS_AUDIO_BUFFER_UTIL_DOUBLE to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_S8_TO_FLOAT32 | copy AGS_AUDIO_BUFFER_UTIL_S8 to AGS_AUDIO_BUFFER_UTIL_FLOAT32 |
AGS_AUDIO_BUFFER_UTIL_COPY_S16_TO_FLOAT32 | copy AGS_AUDIO_BUFFER_UTIL_S16 to AGS_AUDIO_BUFFER_UTIL_FLOAT32 |
AGS_AUDIO_BUFFER_UTIL_COPY_S24_TO_FLOAT32 | copy AGS_AUDIO_BUFFER_UTIL_S24 to AGS_AUDIO_BUFFER_UTIL_FLOAT32 |
AGS_AUDIO_BUFFER_UTIL_COPY_S32_TO_FLOAT32 | copy AGS_AUDIO_BUFFER_UTIL_S32 to AGS_AUDIO_BUFFER_UTIL_FLOAT32 |
AGS_AUDIO_BUFFER_UTIL_COPY_S64_TO_FLOAT32 | copy AGS_AUDIO_BUFFER_UTIL_S64 to AGS_AUDIO_BUFFER_UTIL_FLOAT32 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT_TO_FLOAT32 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_DOUBLE_TO_FLOAT32 | copy AGS_AUDIO_BUFFER_UTIL_DOUBLE to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT32_TO_FLOAT32 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT32 to AGS_AUDIO_BUFFER_UTIL_FLOAT32 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT32_TO_S8 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT32 to AGS_AUDIO_BUFFER_UTIL_S8 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT32_TO_S16 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT32 to AGS_AUDIO_BUFFER_UTIL_S16 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT32_TO_S24 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT32 to AGS_AUDIO_BUFFER_UTIL_S24 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT32_TO_S32 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT32 to AGS_AUDIO_BUFFER_UTIL_S32 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT32_TO_S64 | copy AGS_AUDIO_BUFFER_UTIL_FLOAT32 to AGS_AUDIO_BUFFER_UTIL_S64 |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT32_TO_FLOAT | copy AGS_AUDIO_BUFFER_UTIL_FLOAT32 to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT32_TO_DOUBLE | copy AGS_AUDIO_BUFFER_UTIL_FLOAT32 to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_S8_TO_COMPLEX | copy AGS_AUDIO_BUFFER_UTIL_S8 to AGS_AUDIO_BUFFER_UTIL_COMPLEX |
AGS_AUDIO_BUFFER_UTIL_COPY_S16_TO_COMPLEX | copy AGS_AUDIO_BUFFER_UTIL_S16 to AGS_AUDIO_BUFFER_UTIL_COMPLEX |
AGS_AUDIO_BUFFER_UTIL_COPY_S24_TO_COMPLEX | copy AGS_AUDIO_BUFFER_UTIL_S24 to AGS_AUDIO_BUFFER_UTIL_COMPLEX |
AGS_AUDIO_BUFFER_UTIL_COPY_S32_TO_COMPLEX | copy AGS_AUDIO_BUFFER_UTIL_S32 to AGS_AUDIO_BUFFER_UTIL_COMPLEX |
AGS_AUDIO_BUFFER_UTIL_COPY_S64_TO_COMPLEX | copy AGS_AUDIO_BUFFER_UTIL_S64 to AGS_AUDIO_BUFFER_UTIL_COMPLEX |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT_TO_COMPLEX | copy AGS_AUDIO_BUFFER_UTIL_FLOAT to AGS_AUDIO_BUFFER_UTIL_COMPLEX |
AGS_AUDIO_BUFFER_UTIL_COPY_DOUBLE_TO_COMPLEX | copy AGS_AUDIO_BUFFER_UTIL_DOUBLE to AGS_AUDIO_BUFFER_UTIL_COMPLEX |
AGS_AUDIO_BUFFER_UTIL_COPY_FLOAT32_TO_COMPLEX | copy AGS_AUDIO_BUFFER_UTIL_FLOAT32 to AGS_AUDIO_BUFFER_UTIL_COMPLEX |
AGS_AUDIO_BUFFER_UTIL_COPY_COMPLEX_TO_COMPLEX | copy AGS_AUDIO_BUFFER_UTIL_COMPLEX to AGS_AUDIO_BUFFER_UTIL_COMPLEX |
AGS_AUDIO_BUFFER_UTIL_COPY_COMPLEX_TO_S8 | copy AGS_AUDIO_BUFFER_UTIL_COMPLEX to AGS_AUDIO_BUFFER_UTIL_S8 |
AGS_AUDIO_BUFFER_UTIL_COPY_COMPLEX_TO_S16 | copy AGS_AUDIO_BUFFER_UTIL_COMPLEX to AGS_AUDIO_BUFFER_UTIL_S16 |
AGS_AUDIO_BUFFER_UTIL_COPY_COMPLEX_TO_S24 | copy AGS_AUDIO_BUFFER_UTIL_COMPLEX to AGS_AUDIO_BUFFER_UTIL_S24 |
AGS_AUDIO_BUFFER_UTIL_COPY_COMPLEX_TO_S32 | copy AGS_AUDIO_BUFFER_UTIL_COMPLEX to AGS_AUDIO_BUFFER_UTIL_S32 |
AGS_AUDIO_BUFFER_UTIL_COPY_COMPLEX_TO_S64 | copy AGS_AUDIO_BUFFER_UTIL_COMPLEX to AGS_AUDIO_BUFFER_UTIL_S64 |
AGS_AUDIO_BUFFER_UTIL_COPY_COMPLEX_TO_FLOAT | copy AGS_AUDIO_BUFFER_UTIL_COMPLEX to AGS_AUDIO_BUFFER_UTIL_FLOAT |
AGS_AUDIO_BUFFER_UTIL_COPY_COMPLEX_TO_DOUBLE | copy AGS_AUDIO_BUFFER_UTIL_COMPLEX to AGS_AUDIO_BUFFER_UTIL_DOUBLE |
AGS_AUDIO_BUFFER_UTIL_COPY_COMPLEX_TO_FLOAT32 | copy AGS_AUDIO_BUFFER_UTIL_COMPLEX to AGS_AUDIO_BUFFER_UTIL_FLOAT32 |